-- My initial attempt to trying to use catppuccin...may revisit later so keeping it
require("catppuccin").setup({
    flavour = "latte", -- latte, frappe, macchiato, mocha
    background = { -- :h background
        light = "latte",
        dark = "mocha",
    },
    transparent_background = false, -- disables setting the background color.
    show_end_of_buffer = false, -- shows the '~' characters after the end of buffers
    term_colors = true, -- sets terminal colors (e.g. `g:terminal_color_0`)
    dim_inactive = {
        enabled = false, -- dims the background color of inactive window
        shade = "light",
        percentage = 0.15, -- percentage of the shade to apply to the inactive window
    },
    no_italic = false, -- Force no italic
    no_bold = false, -- Force no bold
    no_underline = false, -- Force no underline
    styles = { -- Handles the styles of general hi groups (see `:h highlight-args`):
        comments = { "italic" }, -- Change the style of comments
        conditionals = { "italic" },
        loops = {},
        functions = {},
        keywords = {},
        strings = {},
        variables = {},
        numbers = {},
        booleans = {},
        properties = {},
        types = {},
        operators = {},
    },
    color_overrides = {
        mocha = {
            base = "#000000",
            mantle = "#000000",
            crust = "#000000",
        },
        latte = {
            base = "#000000",
            mantle = "#111111",
            crust = "#222222",
            surface0 = "#111111",
            surface1 = "#555555",
            surface2 = "#666666",
            overlay0 = "#777777",
            overlay1 = "#888888",
            overlay2 = "#999999",
            subtext0 = "#aaaaaa",
            subtext1 = "#cccccc",
            text = "#F9F9F9",
            -- Rosewater = "",
            -- Flamingo = "",
            pink = "#FF1A75",
            -- Mauve = "",
            -- Red = "",
            -- Maroon = "",
            -- Peach = "#FF7431",
            yellow = "#FFFF00",
            -- Green = "",
            -- Teal = "",
            -- Sky = "",
            -- Sapphire = "",
            -- Blue = "",
            -- Lavender = "",
        },
    },
    highlight_overrides = {
        latte = function(latte)
            return {
                -- ["@keyword"] = {fg = '${green}'},
                ["@string"] = {fg = latte.rosewater},
                Include = {fg = latte.pink},
                ["@function"] = {fg = latte.sky, italic=true, underline=true},
                ["@function.builtin"] = {fg = latte.blue},
                ["@variable"] = {fg = latte.green},
                Operator = {fg = latte.yellow},
                Constant = {fg = latte.yellow},
            }
        end,
    },
    integrations = {
        cmp = true,
        gitsigns = true,
        nvimtree = true,
        neotree = true,
        treesitter = true,
        notify = false,
        mini = {
            enabled = true,
            indentscope_color = "",
        },
        -- For more plugins integrations please scroll down (https://github.com/catppuccin/nvim#integrations)
    },
})

-- setup must be called before loading
-- vim.cmd.colorscheme "catppuccin"

require('onedarkpro').setup {
    -- colors = {
    --     green = '#00ffaa',            -- redefine an existing color
    -- },
    highlights = {
        SpellBad = { sp = "${red}", undercurl = true },
        SpellCap = { sp = "${red}", undercurl = true },
        SpellRare = { sp = "${red}",  undercurl = true },
        SpellLocal = { sp = "${red}", undercurl = true },
        ["@keyword"] = {fg = '${green}'},
        ["@string"] = {fg = '#ff9900'},
        ["@function"] = {fg = '#00ccff', italic=true, underline=true},
        ["@function.builtin"] = {fg = '#0059ff'},
        ["@variable"] = {fg = '#00FF88'},
    }
}

require("citruszest").setup({
        option = {
            transparent = false, -- Enable/Disable transparency
            bold = false,
            italic = true,
        },
        -- Override default highlight style in this table
        -- E.g If you want to override `Constant` highlight style
        style = {
        -- This will change Constant foreground color and make it bold.
        ["@keyword"] = {fg = '#FF5454'},
        ["@variable"] = {fg = '#00FF88'},
        ["@string"] = {fg = '#ff9900'},
        Function = {fg = '#00ccff', italic=true, underline=true},

        -- ["@function.python"] = {fg = '#00ccff', italic=true, underline=true},
        ["@function.builtin"] = {fg = '#0059ff'},
        Include = {fg = "#FF1A75"},
        Comment = { fg = "#767C77"},
        -- Comment = { fg = "#767C77", bold = true},
        },
    })

-- vim.cmd("colorscheme onedark_dark")
-- vim.cmd("colorscheme citruszest")
vim.cmd("colorscheme catppuccin-latte")
-- vim.cmd("colorscheme wildcharm")
